searchNodes=[{"doc":"Cnab keeps the contexts that define your domain and business logic. Contexts are also responsible for managing your data, regardless if it comes from the database, an external API or others.","ref":"Cnab.html","title":"Cnab","type":"module"},{"doc":"Service to generate a details","ref":"Cnab.Cnab240.Services.Details.html","title":"Cnab.Cnab240.Services.Details","type":"module"},{"doc":"","ref":"Cnab.Cnab240.Services.Details.html#run/1","title":"Cnab.Cnab240.Services.Details.run/1","type":"function"},{"doc":"Service to get file infos from filename","ref":"Cnab.Cnab240.Services.GetFileInfo.html","title":"Cnab.Cnab240.Services.GetFileInfo","type":"module"},{"doc":"","ref":"Cnab.Cnab240.Services.GetFileInfo.html#run/1","title":"Cnab.Cnab240.Services.GetFileInfo.run/1","type":"function"},{"doc":"Service to read and generate info about the CNAB 240 file.","ref":"Cnab.Cnab240.Services.ProcessFile.html","title":"Cnab.Cnab240.Services.ProcessFile","type":"module"},{"doc":"","ref":"Cnab.Cnab240.Services.ProcessFile.html#run/1","title":"Cnab.Cnab240.Services.ProcessFile.run/1","type":"function"},{"doc":"Service to verify file and return some fields to client","ref":"Cnab.Cnab240.Services.VerifyFile.html","title":"Cnab.Cnab240.Services.VerifyFile","type":"module"},{"doc":"","ref":"Cnab.Cnab240.Services.VerifyFile.html#run/1","title":"Cnab.Cnab240.Services.VerifyFile.run/1","type":"function"},{"doc":"Template for rendering a cnab240 chunk footer from a file","ref":"Cnab.Cnab240.Templates.ChunkFooter.html","title":"Cnab.Cnab240.Templates.ChunkFooter","type":"module"},{"doc":"This function generate a Chunk Footer Map from a Cnab240 file, using the FEBRABAN convention. The fields follows the convention hierarchy. and the returns is in PT BR. You can see all hierarchy in the FEBRABAN documentation. CNAB ├── Controle │ ├── Banco (1..3) │ ├── Lote (4..7) │ └── Registro (8..8) │ ├── CNAB - USO FEBRABAN (9..17) │ ├── Totais │ ├── Qtde. de registros (18..23) │ ├── Somatória dos valores (24..41) │ └── Somatória quantidade de moedas (42..59) │ ├── Número aviso débito (60..65) │ ├── CNAB (66..230) │ └── Ocorrências (231..240)","ref":"Cnab.Cnab240.Templates.ChunkFooter.html#generate/1","title":"Cnab.Cnab240.Templates.ChunkFooter.generate/1","type":"function"},{"doc":"Template for rendering a cnab240 chenk header from a file","ref":"Cnab.Cnab240.Templates.ChunkHeader.html","title":"Cnab.Cnab240.Templates.ChunkHeader","type":"module"},{"doc":"This function generate a Header Chunk Map from a Cnab240 file, using the FEBRABAN convention. The fields follows the convention hierarchy, and the returns is in PT BR. You can see all hierarchy in the FEBRABAN documentation. CNAB ├── Controle │ ├── Banco (1..3) │ ├── Lote (4..7) │ └── Registro (8..8) │ ├── Serviço │ ├── Operação (9..9) │ ├── Serviço (10..11) │ ├── Forma lançamento (12..13) │ └── Layout do lote (14..16) │ ├── Cnab (17..17) │ ├── Empresa │ ├── Inscrição │ │ ├── Tipo (18..18) │ │ └── Número (19..32) │ │ │ ├── Convênio (33..52) │ │ │ ├── Conta corrente │ │ ├── Agência │ │ │ ├── Código (53..57) │ │ │ └── DV (58..58) │ │ │ │ │ ├── Conta │ │ │ └── Número DV │ │ │ ├── Número da conta corrente (59..70) │ │ │ └── Dígito verificador da conta (71..71) │ │ │ │ │ └── DV (72..72) │ │ │ └── Nome (73..102) │ ├── CNAB - USO FEBRABAN (103..142) │ ├── Endereço da empresa │ ├── Logadouro (143..172) │ ├── Número (173..177) │ ├── Complemento (178..192) │ ├── Cidade (193..212) │ ├── CEP (213..217) │ ├── Complemento CEP (218..220) │ └── Estado (221..222) │ ├── CNAB - USO FEBRABAN (223..230) │ └── Ocorrências (231..240)","ref":"Cnab.Cnab240.Templates.ChunkHeader.html#generate/1","title":"Cnab.Cnab240.Templates.ChunkHeader.generate/1","type":"function"},{"doc":"","ref":"Cnab.Cnab240.Templates.Details.html","title":"Cnab.Cnab240.Templates.Details","type":"module"},{"doc":"","ref":"Cnab.Cnab240.Templates.Details.html#generate/1","title":"Cnab.Cnab240.Templates.Details.generate/1","type":"function"},{"doc":"Template to generate an cnab 240 object from file, following the A-segment pattern;","ref":"Cnab.Cnab240.Templates.Details.ModelA.html","title":"Cnab.Cnab240.Templates.Details.ModelA","type":"module"},{"doc":"This function generate a Header Chunk Map from a Cnab240 file, using the FEBRABAN convention. The fields follows the A-segment hierarchy, and the returns is in PT BR. You can see all hierarchy in the FEBRABAN documentation. CNAB ├── Controle │ ├── Banco (1..3) │ ├── Lote (4..7) │ └── Registro (8..8) │ ├── Serviço │ ├── N do registro (9..13) │ ├── Segmento (14..14) │ └── Movimento │ ├── Tipo (15..15) │ └── Código (16..17) │ ├── Favorecido │ ├── Câmara (18..20) │ │ │ ├── Banco (21..23) │ │ │ ├── Conta corrente │ │ ├── Agência │ │ │ ├── Código (24..28) │ │ │ └── DV (29..29) │ │ │ │ │ ├── Conta │ │ │ ├── Número (30..41) │ │ │ └── DV (42..42) │ │ │ │ │ └── DV (43..43) │ │ │ ├── Nome (44..73) │ │ │ └── Seu número (73..93) │ ├── Credito │ ├── Data pagamento (94..101) │ │ │ ├── Moeda │ │ ├── Tipo (102..104) │ │ │ │ │ └── Conta (105..119) │ │ │ ├── Valor Pagamento (120..134) │ │ │ ├── Nosso número (135..154) │ │ │ ├── Data real (155..162) │ │ │ └── Valor real (163..177) │ ├── Informação 2 (178..217) │ ├── Codigo finalidade DOC (218..219) │ ├── Código finalidade TED (220..224) │ ├── Código finalidade complementar (225..226) │ ├── CNAB (227..229) │ ├── Aviso (230..230) │ └── Ocorrências (231..240)","ref":"Cnab.Cnab240.Templates.Details.ModelA.html#generate/1","title":"Cnab.Cnab240.Templates.Details.ModelA.generate/1","type":"function"},{"doc":"Template to generate an cnab 240 object from file, following the B-segment pattern;","ref":"Cnab.Cnab240.Templates.Details.ModelB.html","title":"Cnab.Cnab240.Templates.Details.ModelB","type":"module"},{"doc":"This function generate a Header Chunk Map from a Cnab240 file, using the FEBRABAN convention. The fields follows the B-segment hierarchy, and the returns is in PT BR. You can see all hierarchy in the FEBRABAN documentation. CNAB ├── Controle │ ├── Banco (1..3) │ ├── Lote (4..7) │ └── Registro (8..8) │ ├── Serviço │ ├── N do registro (9..13) │ └── Segmento (14..14) │ ├── CNAB (15..17) │ │── Dados complementares │ ├── Favorecido │ │ ├── Inscrição │ │ │ ├── Tipo (18..18) │ │ │ └── Número (19..32) │ │ │ │ │ ├── Logradouro (33..62) │ │ │ │ │ ├── Número (63..67) │ │ │ │ │ ├── Complemento (68..82) │ │ │ │ │ ├── Bairro (83..97) │ │ │ │ │ ├── Cidade (98..117) │ │ │ │ │ ├── CEP (118..122) │ │ │ │ │ ├── Complemento CEP (123..125) │ │ │ │ │ └── Estado (126..127) │ │ │ ├── PAGTO │ │ │ │ │ ├── Vencimento (128..135) │ │ │ │ │ ├── Valor documento (136..150) │ │ │ │ │ ├── Abatimento (151..165) │ │ │ │ │ ├── Desconto (166..180) │ │ │ │ │ ├── Mora (181..195) │ │ │ │ │ └── Multa (196..210) │ │ │ └── Cód/Doc. Favorec. (211..225) │ ├── Aviso (226..226) │ ├── Código UG Centralizadora (227..232) │ └── Identificação do banco no SPB (233..240)","ref":"Cnab.Cnab240.Templates.Details.ModelB.html#generate/1","title":"Cnab.Cnab240.Templates.Details.ModelB.generate/1","type":"function"},{"doc":"Template for rendering a cnab240 header from a file","ref":"Cnab.Cnab240.Templates.FileHeader.html","title":"Cnab.Cnab240.Templates.FileHeader","type":"module"},{"doc":"This function generate a Header File Map from a Cnab240 file, using the FEBRABAN convention. The fields follows the convention hierarchy, and the returns is in PT BR. You can see all hierarchy in the FEBRABAN documentation. CNAB ├── Controle │ ├── Banco (1..3) │ ├── Lote (4..7) │ └── Registro (8..8) │ ├── CNAB - USO FEBRABAN (9..17) │ ├── Empresa │ ├── Inscrição │ │ ├── Tipo (18..18) │ │ └── Número de inscrição (19..32) │ │ │ ├── Convênio (33..52) │ │ │ ├── Conta corrente │ │ ├── Agência │ │ │ ├── Código (53..57) │ │ │ └── DV (58..58) │ │ │ │ │ ├── Conta │ │ │ └── Número DV │ │ │ ├── Número da conta corrente (59..70) │ │ │ └── Dígito verificador da conta (71..71) │ │ │ │ │ └── DV (72..72) │ │ │ └── Nome da empresa (73..102) │ ├── Nome do banco (103..132) │ ├── CNAB - USO FEBRABAN (133..142) │ ├── Arquivo │ ├── Código remessa / retorno (143..143) │ ├── Data geração (144..151) │ ├── Hora geração (152..157) │ ├── Sequência - NSA (158..163) │ ├── Layout do arquivo (164..166) │ └── Densidade (167..171) │ ├── Reservado banco (172..191) │ ├── Reservado empresa (192..211) │ └── CNAB - USO FEBRABAN (212..240)","ref":"Cnab.Cnab240.Templates.FileHeader.html#generate/1","title":"Cnab.Cnab240.Templates.FileHeader.generate/1","type":"function"},{"doc":"Template for rendering a cnab240 footer from a file","ref":"Cnab.Cnab240.Templates.Footer.html","title":"Cnab.Cnab240.Templates.Footer","type":"module"},{"doc":"This function generate a Footer Map from a Cnab240 file, using the FEBRABAN convention. The fields follows the convention hierarchy. and the returns is in PT BR. You can see all hierarchy in the FEBRABAN documentation. CNAB ├── Controle │ ├── Banco (1..3) │ ├── Lote (4..7) │ └── Registro (8..8) │ ├── CNAB - USO FEBRABAN (9..17) │ ├── Totais │ ├── Qtde. de lotes (18..23) │ ├── Qtde. de registros (24..29) │ └── Qtde. de contas concil (30..35) │ └── CNAB - USO FEBRABAN (36..240)","ref":"Cnab.Cnab240.Templates.Footer.html#generate/1","title":"Cnab.Cnab240.Templates.Footer.generate/1","type":"function"},{"doc":"","ref":"Cnab.Mailer.html","title":"Cnab.Mailer","type":"module"},{"doc":"","ref":"Cnab.Mailer.html#deliver/2","title":"Cnab.Mailer.deliver/2","type":"function"},{"doc":"","ref":"Cnab.Mailer.html#deliver!/2","title":"Cnab.Mailer.deliver!/2","type":"function"},{"doc":"","ref":"Cnab.Mailer.html#deliver_many/2","title":"Cnab.Mailer.deliver_many/2","type":"function"},{"doc":"","ref":"Cnab.Repo.html","title":"Cnab.Repo","type":"module"},{"doc":"Callback implementation for Ecto.Repo.aggregate/3 .","ref":"Cnab.Repo.html#aggregate/3","title":"Cnab.Repo.aggregate/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.aggregate/4 .","ref":"Cnab.Repo.html#aggregate/4","title":"Cnab.Repo.aggregate/4","type":"function"},{"doc":"Callback implementation for Ecto.Repo.all/2 .","ref":"Cnab.Repo.html#all/2","title":"Cnab.Repo.all/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.checked_out?/0 .","ref":"Cnab.Repo.html#checked_out?/0","title":"Cnab.Repo.checked_out?/0","type":"function"},{"doc":"Callback implementation for Ecto.Repo.checkout/2 .","ref":"Cnab.Repo.html#checkout/2","title":"Cnab.Repo.checkout/2","type":"function"},{"doc":"","ref":"Cnab.Repo.html#child_spec/1","title":"Cnab.Repo.child_spec/1","type":"function"},{"doc":"Callback implementation for Ecto.Repo.config/0 .","ref":"Cnab.Repo.html#config/0","title":"Cnab.Repo.config/0","type":"function"},{"doc":"Callback implementation for Ecto.Repo.default_options/1 .","ref":"Cnab.Repo.html#default_options/1","title":"Cnab.Repo.default_options/1","type":"function"},{"doc":"Callback implementation for Ecto.Repo.delete/2 .","ref":"Cnab.Repo.html#delete/2","title":"Cnab.Repo.delete/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.delete!/2 .","ref":"Cnab.Repo.html#delete!/2","title":"Cnab.Repo.delete!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.delete_all/2 .","ref":"Cnab.Repo.html#delete_all/2","title":"Cnab.Repo.delete_all/2","type":"function"},{"doc":"A convenience function for SQL-based repositories that forces all connections in the pool to disconnect within the given interval. See Ecto.Adapters.SQL.disconnect_all/3 for more information.","ref":"Cnab.Repo.html#disconnect_all/2","title":"Cnab.Repo.disconnect_all/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.exists?/2 .","ref":"Cnab.Repo.html#exists?/2","title":"Cnab.Repo.exists?/2","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes an EXPLAIN statement or similar depending on the adapter to obtain statistics for the given query. See Ecto.Adapters.SQL.explain/4 for more information.","ref":"Cnab.Repo.html#explain/3","title":"Cnab.Repo.explain/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.get/3 .","ref":"Cnab.Repo.html#get/3","title":"Cnab.Repo.get/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.get!/3 .","ref":"Cnab.Repo.html#get!/3","title":"Cnab.Repo.get!/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.get_by/3 .","ref":"Cnab.Repo.html#get_by/3","title":"Cnab.Repo.get_by/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.get_by!/3 .","ref":"Cnab.Repo.html#get_by!/3","title":"Cnab.Repo.get_by!/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.get_dynamic_repo/0 .","ref":"Cnab.Repo.html#get_dynamic_repo/0","title":"Cnab.Repo.get_dynamic_repo/0","type":"function"},{"doc":"Callback implementation for Ecto.Repo.in_transaction?/0 .","ref":"Cnab.Repo.html#in_transaction?/0","title":"Cnab.Repo.in_transaction?/0","type":"function"},{"doc":"Callback implementation for Ecto.Repo.insert/2 .","ref":"Cnab.Repo.html#insert/2","title":"Cnab.Repo.insert/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.insert!/2 .","ref":"Cnab.Repo.html#insert!/2","title":"Cnab.Repo.insert!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.insert_all/3 .","ref":"Cnab.Repo.html#insert_all/3","title":"Cnab.Repo.insert_all/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.insert_or_update/2 .","ref":"Cnab.Repo.html#insert_or_update/2","title":"Cnab.Repo.insert_or_update/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.insert_or_update!/2 .","ref":"Cnab.Repo.html#insert_or_update!/2","title":"Cnab.Repo.insert_or_update!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.load/2 .","ref":"Cnab.Repo.html#load/2","title":"Cnab.Repo.load/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.one/2 .","ref":"Cnab.Repo.html#one/2","title":"Cnab.Repo.one/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.one!/2 .","ref":"Cnab.Repo.html#one!/2","title":"Cnab.Repo.one!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.preload/3 .","ref":"Cnab.Repo.html#preload/3","title":"Cnab.Repo.preload/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.prepare_query/3 .","ref":"Cnab.Repo.html#prepare_query/3","title":"Cnab.Repo.prepare_query/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.put_dynamic_repo/1 .","ref":"Cnab.Repo.html#put_dynamic_repo/1","title":"Cnab.Repo.put_dynamic_repo/1","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes the given query. See Ecto.Adapters.SQL.query/4 for more information.","ref":"Cnab.Repo.html#query/3","title":"Cnab.Repo.query/3","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes the given query. See Ecto.Adapters.SQL.query!/4 for more information.","ref":"Cnab.Repo.html#query!/3","title":"Cnab.Repo.query!/3","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes the given multi-result query. See Ecto.Adapters.SQL.query_many/4 for more information.","ref":"Cnab.Repo.html#query_many/3","title":"Cnab.Repo.query_many/3","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes the given multi-result query. See Ecto.Adapters.SQL.query_many!/4 for more information.","ref":"Cnab.Repo.html#query_many!/3","title":"Cnab.Repo.query_many!/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.reload/2 .","ref":"Cnab.Repo.html#reload/2","title":"Cnab.Repo.reload/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.reload!/2 .","ref":"Cnab.Repo.html#reload!/2","title":"Cnab.Repo.reload!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.rollback/1 .","ref":"Cnab.Repo.html#rollback/1","title":"Cnab.Repo.rollback/1","type":"function"},{"doc":"Callback implementation for Ecto.Repo.start_link/1 .","ref":"Cnab.Repo.html#start_link/1","title":"Cnab.Repo.start_link/1","type":"function"},{"doc":"Callback implementation for Ecto.Repo.stop/1 .","ref":"Cnab.Repo.html#stop/1","title":"Cnab.Repo.stop/1","type":"function"},{"doc":"Callback implementation for Ecto.Repo.stream/2 .","ref":"Cnab.Repo.html#stream/2","title":"Cnab.Repo.stream/2","type":"function"},{"doc":"A convenience function for SQL-based repositories that translates the given query to SQL. See Ecto.Adapters.SQL.to_sql/3 for more information.","ref":"Cnab.Repo.html#to_sql/2","title":"Cnab.Repo.to_sql/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.transaction/2 .","ref":"Cnab.Repo.html#transaction/2","title":"Cnab.Repo.transaction/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.update/2 .","ref":"Cnab.Repo.html#update/2","title":"Cnab.Repo.update/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.update!/2 .","ref":"Cnab.Repo.html#update!/2","title":"Cnab.Repo.update!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.update_all/3 .","ref":"Cnab.Repo.html#update_all/3","title":"Cnab.Repo.update_all/3","type":"function"},{"doc":"The entrypoint for defining your web interface, such as controllers, components, channels, and so on. This can be used in your application as: use CnabWeb , :controller use CnabWeb , :html The definitions below will be executed for every controller, component, etc, so keep them short and clean, focused on imports, uses and aliases. Do NOT define functions inside the quoted expressions below. Instead, define additional modules and import those modules here.","ref":"CnabWeb.html","title":"CnabWeb","type":"module"},{"doc":"When used, dispatch to the appropriate controller/view/etc.","ref":"CnabWeb.html#__using__/1","title":"CnabWeb.__using__/1","type":"macro"},{"doc":"","ref":"CnabWeb.html#channel/0","title":"CnabWeb.channel/0","type":"function"},{"doc":"","ref":"CnabWeb.html#controller/0","title":"CnabWeb.controller/0","type":"function"},{"doc":"","ref":"CnabWeb.html#router/0","title":"CnabWeb.router/0","type":"function"},{"doc":"","ref":"CnabWeb.html#static_paths/0","title":"CnabWeb.static_paths/0","type":"function"},{"doc":"","ref":"CnabWeb.html#verified_routes/0","title":"CnabWeb.verified_routes/0","type":"function"},{"doc":"","ref":"CnabWeb.html#view/0","title":"CnabWeb.view/0","type":"function"},{"doc":"","ref":"CnabWeb.Endpoint.html","title":"CnabWeb.Endpoint","type":"module"},{"doc":"Callback implementation for Phoenix.Endpoint.broadcast/3 .","ref":"CnabWeb.Endpoint.html#broadcast/3","title":"CnabWeb.Endpoint.broadcast/3","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.broadcast!/3 .","ref":"CnabWeb.Endpoint.html#broadcast!/3","title":"CnabWeb.Endpoint.broadcast!/3","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.broadcast_from/4 .","ref":"CnabWeb.Endpoint.html#broadcast_from/4","title":"CnabWeb.Endpoint.broadcast_from/4","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.broadcast_from!/4 .","ref":"CnabWeb.Endpoint.html#broadcast_from!/4","title":"CnabWeb.Endpoint.broadcast_from!/4","type":"function"},{"doc":"Callback implementation for Plug.call/2 .","ref":"CnabWeb.Endpoint.html#call/2","title":"CnabWeb.Endpoint.call/2","type":"function"},{"doc":"Returns the child specification to start the endpoint under a supervision tree.","ref":"CnabWeb.Endpoint.html#child_spec/1","title":"CnabWeb.Endpoint.child_spec/1","type":"function"},{"doc":"Returns the endpoint configuration for key Returns default if the key does not exist.","ref":"CnabWeb.Endpoint.html#config/2","title":"CnabWeb.Endpoint.config/2","type":"function"},{"doc":"Reloads the configuration given the application environment changes.","ref":"CnabWeb.Endpoint.html#config_change/2","title":"CnabWeb.Endpoint.config_change/2","type":"function"},{"doc":"Returns the host for the given endpoint.","ref":"CnabWeb.Endpoint.html#host/0","title":"CnabWeb.Endpoint.host/0","type":"function"},{"doc":"Callback implementation for Plug.init/1 .","ref":"CnabWeb.Endpoint.html#init/1","title":"CnabWeb.Endpoint.init/1","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.local_broadcast/3 .","ref":"CnabWeb.Endpoint.html#local_broadcast/3","title":"CnabWeb.Endpoint.local_broadcast/3","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.local_broadcast_from/4 .","ref":"CnabWeb.Endpoint.html#local_broadcast_from/4","title":"CnabWeb.Endpoint.local_broadcast_from/4","type":"function"},{"doc":"Generates the path information when routing to this endpoint.","ref":"CnabWeb.Endpoint.html#path/1","title":"CnabWeb.Endpoint.path/1","type":"function"},{"doc":"Generates the script name.","ref":"CnabWeb.Endpoint.html#script_name/0","title":"CnabWeb.Endpoint.script_name/0","type":"function"},{"doc":"Starts the endpoint supervision tree. All other options are merged into the endpoint configuration.","ref":"CnabWeb.Endpoint.html#start_link/1","title":"CnabWeb.Endpoint.start_link/1","type":"function"},{"doc":"Generates a base64-encoded cryptographic hash (sha512) to a static file in priv/static . Meant to be used for Subresource Integrity with CDNs.","ref":"CnabWeb.Endpoint.html#static_integrity/1","title":"CnabWeb.Endpoint.static_integrity/1","type":"function"},{"doc":"Returns a two item tuple with the first item being the static_path and the second item being the static_integrity .","ref":"CnabWeb.Endpoint.html#static_lookup/1","title":"CnabWeb.Endpoint.static_lookup/1","type":"function"},{"doc":"Generates a route to a static file in priv/static .","ref":"CnabWeb.Endpoint.html#static_path/1","title":"CnabWeb.Endpoint.static_path/1","type":"function"},{"doc":"Generates the static URL without any path information. It uses the configuration under :static_url to generate such. It falls back to :url if :static_url is not set.","ref":"CnabWeb.Endpoint.html#static_url/0","title":"CnabWeb.Endpoint.static_url/0","type":"function"},{"doc":"Generates the endpoint base URL but as a URI struct. It uses the configuration under :url to generate such. Useful for manipulating the URL data and passing it to URL helpers.","ref":"CnabWeb.Endpoint.html#struct_url/0","title":"CnabWeb.Endpoint.struct_url/0","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.subscribe/2 .","ref":"CnabWeb.Endpoint.html#subscribe/2","title":"CnabWeb.Endpoint.subscribe/2","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.unsubscribe/1 .","ref":"CnabWeb.Endpoint.html#unsubscribe/1","title":"CnabWeb.Endpoint.unsubscribe/1","type":"function"},{"doc":"Generates the endpoint base URL without any path information. It uses the configuration under :url to generate such.","ref":"CnabWeb.Endpoint.html#url/0","title":"CnabWeb.Endpoint.url/0","type":"function"},{"doc":"","ref":"CnabWeb.ErrorJSON.html","title":"CnabWeb.ErrorJSON","type":"module"},{"doc":"","ref":"CnabWeb.ErrorJSON.html#render/2","title":"CnabWeb.ErrorJSON.render/2","type":"function"},{"doc":"","ref":"CnabWeb.FileController.html","title":"CnabWeb.FileController","type":"module"},{"doc":"","ref":"CnabWeb.FileController.html#validate_file_format/2","title":"CnabWeb.FileController.validate_file_format/2","type":"function"},{"doc":"A module providing Internationalization with a gettext-based API. By using Gettext , your module gains a set of macros for translations, for example: import CnabWeb.Gettext # Simple translation gettext ( &quot;Here is the string to translate&quot; ) # Plural translation ngettext ( &quot;Here is the string to translate&quot; , &quot;Here are the strings to translate&quot; , 3 ) # Domain-based translation dgettext ( &quot;errors&quot; , &quot;Here is the error message to translate&quot; ) See the Gettext Docs for detailed usage.","ref":"CnabWeb.Gettext.html","title":"CnabWeb.Gettext","type":"module"},{"doc":"Callback implementation for Gettext.Backend.dgettext/3 .","ref":"CnabWeb.Gettext.html#dgettext/3","title":"CnabWeb.Gettext.dgettext/3","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.dgettext_noop/2 .","ref":"CnabWeb.Gettext.html#dgettext_noop/2","title":"CnabWeb.Gettext.dgettext_noop/2","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.dngettext/5 .","ref":"CnabWeb.Gettext.html#dngettext/5","title":"CnabWeb.Gettext.dngettext/5","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.dngettext_noop/3 .","ref":"CnabWeb.Gettext.html#dngettext_noop/3","title":"CnabWeb.Gettext.dngettext_noop/3","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.dpgettext/4 .","ref":"CnabWeb.Gettext.html#dpgettext/4","title":"CnabWeb.Gettext.dpgettext/4","type":"macro"},{"doc":"","ref":"CnabWeb.Gettext.html#dpgettext_noop/3","title":"CnabWeb.Gettext.dpgettext_noop/3","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.dpngettext/6 .","ref":"CnabWeb.Gettext.html#dpngettext/6","title":"CnabWeb.Gettext.dpngettext/6","type":"macro"},{"doc":"","ref":"CnabWeb.Gettext.html#dpngettext_noop/4","title":"CnabWeb.Gettext.dpngettext_noop/4","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.gettext/2 .","ref":"CnabWeb.Gettext.html#gettext/2","title":"CnabWeb.Gettext.gettext/2","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.gettext_comment/1 .","ref":"CnabWeb.Gettext.html#gettext_comment/1","title":"CnabWeb.Gettext.gettext_comment/1","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.gettext_noop/1 .","ref":"CnabWeb.Gettext.html#gettext_noop/1","title":"CnabWeb.Gettext.gettext_noop/1","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.handle_missing_bindings/2 .","ref":"CnabWeb.Gettext.html#handle_missing_bindings/2","title":"CnabWeb.Gettext.handle_missing_bindings/2","type":"function"},{"doc":"Callback implementation for Gettext.Backend.handle_missing_plural_translation/7 .","ref":"CnabWeb.Gettext.html#handle_missing_plural_translation/7","title":"CnabWeb.Gettext.handle_missing_plural_translation/7","type":"function"},{"doc":"Callback implementation for Gettext.Backend.handle_missing_translation/5 .","ref":"CnabWeb.Gettext.html#handle_missing_translation/5","title":"CnabWeb.Gettext.handle_missing_translation/5","type":"function"},{"doc":"","ref":"CnabWeb.Gettext.html#lgettext/5","title":"CnabWeb.Gettext.lgettext/5","type":"function"},{"doc":"","ref":"CnabWeb.Gettext.html#lngettext/7","title":"CnabWeb.Gettext.lngettext/7","type":"function"},{"doc":"Callback implementation for Gettext.Backend.ngettext/4 .","ref":"CnabWeb.Gettext.html#ngettext/4","title":"CnabWeb.Gettext.ngettext/4","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.ngettext_noop/2 .","ref":"CnabWeb.Gettext.html#ngettext_noop/2","title":"CnabWeb.Gettext.ngettext_noop/2","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.pgettext/3 .","ref":"CnabWeb.Gettext.html#pgettext/3","title":"CnabWeb.Gettext.pgettext/3","type":"macro"},{"doc":"","ref":"CnabWeb.Gettext.html#pgettext_noop/2","title":"CnabWeb.Gettext.pgettext_noop/2","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.pngettext/5 .","ref":"CnabWeb.Gettext.html#pngettext/5","title":"CnabWeb.Gettext.pngettext/5","type":"macro"},{"doc":"","ref":"CnabWeb.Gettext.html#pngettext_noop/3","title":"CnabWeb.Gettext.pngettext_noop/3","type":"macro"},{"doc":"","ref":"CnabWeb.Router.html","title":"CnabWeb.Router","type":"module"},{"doc":"","ref":"CnabWeb.Router.html#api/2","title":"CnabWeb.Router.api/2","type":"function"},{"doc":"Callback invoked by Plug on every request.","ref":"CnabWeb.Router.html#call/2","title":"CnabWeb.Router.call/2","type":"function"},{"doc":"Callback required by Plug that initializes the router for serving web requests.","ref":"CnabWeb.Router.html#init/1","title":"CnabWeb.Router.init/1","type":"function"},{"doc":"","ref":"CnabWeb.Telemetry.html","title":"CnabWeb.Telemetry","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"CnabWeb.Telemetry.html#child_spec/1","title":"CnabWeb.Telemetry.child_spec/1","type":"function"},{"doc":"","ref":"CnabWeb.Telemetry.html#metrics/0","title":"CnabWeb.Telemetry.metrics/0","type":"function"},{"doc":"","ref":"CnabWeb.Telemetry.html#start_link/1","title":"CnabWeb.Telemetry.start_link/1","type":"function"},{"doc":"Helper to convert machine position to human position","ref":"Helpers.ConvertPosition.html","title":"Helpers.ConvertPosition","type":"module"},{"doc":"","ref":"Helpers.ConvertPosition.html#convert_position/2","title":"Helpers.ConvertPosition.convert_position/2","type":"function"},{"doc":"","ref":"Helpers.ConvertPosition.html#convert_position/3","title":"Helpers.ConvertPosition.convert_position/3","type":"function"}]